# MySQL Generated on 6 Mar 2026 from [the MySQL catalog page](https://marketplace.digitalocean.com/apps/mysql) The world’s most popular open-source database ## Software Included | Package | Version | License | |---|---|---| | MySQL server | [8.0.42](https://packages.ubuntu.com/focal/mysql-server) | [GPL 2 with modifications](https://www.mysql.com/about/legal/licensing/oem/#5) | | phpMyAdmin | [5.2.2](https://packages.ubuntu.com/focal/phpmyadmin) | [GPL 2](https://www.phpmyadmin.net/license/) | | Apache | [2.9.0-1](https://packages.ubuntu.com/focal/apache2) | [Apache 2](https://www.apache.org/licenses/) | | PHP | [8.3](https://packages.ubuntu.com/focal/php) | [PHP v3.01](http://php.net/license/index.php) | | Certbot | [0.40.0](https://packages.ubuntu.com/focal/certbot) | [Apache 2](https://github.com/certbot/certbot/blob/master/LICENSE.txt) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=mysql-20-04) ## Creating an App using the API In addition to creating a Droplet from the MySQL 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB MySQL Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"mysql-20-04"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying MySQL In addition to package installation, the One-Click also: - Enables the UFW firewall to allow only SSH (port `22`, rate limited), HTTP (port `80`), and HTTPS (port `443`), and MySQL (`3306`) access. - Sets the MySQL root password and runs `mysql_secure_installation`. - Sets the phpMyAdmin admin password. - Sets up the `debian-sys-maint` user in MySQL so the system’s init scripts for MySQL will work without requiring the MySQL `root` user password.After you create a MySQL One-Click Droplet: - You can access phpMyAdmin immediately by visiting the Droplet’s IP address in your browser followed by `/phpmyadmin`. - You can log into the Droplet as `root` using either the password emailed to you or with an SSH key if you added one during creation. - The MySQL root password and phpMyAdmin admin password are in `/root/.digitalocean_password`. - You can get information about the PHP installation by logging into the Droplet and running `php -i`.In addition, we recommend taking steps to [further secure the phpMyAdmin installation](https://docs.phpmyadmin.net/en/latest/setup.html#securing-your-phpmyadmin-installation), like [enabling SSL for the connection from phpMyAdmin to the database server](https://docs.phpmyadmin.net/en/latest/setup.html#using-ssl-for-connection-to-database-server). - The default landing page, shown when you visit the Droplet’s IP address, is located at `/var/www/html`. - The phpMyAdmin configuration file is located at `/etc/phpmyadmin/`. To secure your connection, you will need a registered domain configured for your Droplet.